//======================================================================
//==
//==	Project: TestA
//==	Class TestA
//==
//==	Andrei Daniel
//==	e-Mail:		daniel@jinr.ru
//==
//==	FILE:		TestA.cpp
//======================================================================


#include "TestA.h"

ClassImpQ(TestA)

enum ETestCommandIdentifiers 
{
	M_START
    ,M_FILE_CONNECT
	,M_FILE_DISCONNECT
    ,M_FILE_EXIT
};

//----------------------------------------------------------------------
TestA::TestA(const TGWindow *p, UInt_t w, UInt_t h)
:TGMainFrame(p,w,h)
{
	this->SetCleanup(kDeepCleanup);


	SetMainMenu();
	
	this->MapSubwindows();
	this->SetWindowName("TEST-A");
	this->Resize(this->GetDefaultSize());
	this->MoveResize(5,30
		,gClient->GetDisplayWidth()-10
		,gClient->GetDisplayHeight()-80);
	this->MapWindow();
}

//----------------------------------------------------------------------
TestA::~TestA()
{
}


void TestA::SetMainMenu()
{
	fMenuFile = new TGPopupMenu(gClient->GetRoot());
		fMenuFile->AddEntry("&Connect",		M_FILE_CONNECT);
		fMenuFile->AddEntry("&Disconnect",	M_FILE_DISCONNECT);
		fMenuFile->AddEntry("&Exit",		M_FILE_EXIT);
		fMenuFile->Connect("Activated(Int_t)","TestA"
			,this,"ExecMenuFile(Int_t)");
	
	fMenuBar = new TGMenuBar(this, 100, 20, kHorizontalFrame);
	fMenuBar->AddPopup("&File"
		,fMenuFile,new TGLayoutHints(kLHintsTop | kLHintsLeft,0,4,0,0)); 
	this->AddFrame(fMenuBar,new TGLayoutHints(kLHintsTop,0,10,0,0));

}



//----------------------------------------------------------------------
void TestA::ExecMenuFile(Int_t menu)
{
	switch(menu)
	{
	case M_FILE_CONNECT:
		break;

	case M_FILE_DISCONNECT:
		break;

	case M_FILE_EXIT: 
		gApplication->Terminate();
		break;

	}
}

